import { RuntimeError } from '../utils/error';
import { AbiInput } from './item';
export declare type AbiType = string;
export declare class DataTypeError extends RuntimeError {
}
export declare function isValidAbiType(typeStr: string): typeStr is AbiType;
export declare function isArrayType(type: AbiType): boolean;
export interface DataSize {
    length: number;
    /** `false` if a variable-size data type. `length` is the minimum size in this case */
    exact: boolean;
}
export declare function getDataSize(typeStr: AbiType): DataSize;
export declare const isTupleArray: (inputDef: AbiInput) => boolean;
export declare const isTuple: (inputDef: AbiInput) => boolean;
export declare function encodeInputType(inputDef: AbiInput): string;
